// ****************************************************************************
#region Header

// Title       : TitleGUI.cs
// Author      : Matthew Tinn
// Date        : 27/03/2013
// Description : Class for GUI elements of title screen

#endregion
// ****************************************************************************
#region UsingDirectives

using UnityEngine;
using System.Collections;

#endregion
// ****************************************************************************
public class TitleGUI : MonoBehaviour 
{ // A class for producing the GUI of the title screen
  // **************************************************************************
  // CLASS MEMBERS

  public GUISkin titleSkin;                      // The GUI skin object

  private Rect startButton;                      // Rectangle for the start button

  public const int STANDARD_BUTTON_WIDTH = 100;  // Width of all buttons
  public const int STANDARD_BUTTON_HEIGHT = 50;  // Height of all buttons

  void TestButtonClick()
  { // Test code - Prints a message to the console when the button is clicked
    Debug.Log("Start!");
  }

  // **************************************************************************
  // UNITY ENGINE SUBPROGRAMS

  //**** Start ****************************************************************
  void Start() 
  { // Initialisation

    // Set the position of the start button
    this.startButton.Set((Screen.width/2) - (STANDARD_BUTTON_WIDTH), 560, STANDARD_BUTTON_WIDTH, STANDARD_BUTTON_HEIGHT);

    // Load the title skin game object from the assets folder
    titleSkin = Resources.Load("TitleSkin") as GUISkin;
  }

  // **** OnGUI ***************************************************************	
  void OnGUI()
  { // Controls GUI functionality

    // Set the active GUI skin as titleSkin
    GUI.skin = this.titleSkin;

    if (GUI.Button(startButton, "Start"))
    { // If the button is clicked
      // Perform test code
      TestButtonClick();

      // Move to main menu scene
      Application.LoadLevel("MainMenu");
    }
  } // End OnGUI
} // End class
